Bug 287778

Summary: Crash on specific website (Webkit only) [testcase]
Product: [Frameworks and Libraries] kdelibs Reporter: Rolf Eike Beer <kde>
Component: kdewebkitAssignee: webkit-devel
Status: RESOLVED WORKSFORME    
Severity: crash CC: adawit
Priority: NOR Keywords: triaged
Version: 4.7   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In: 4.8.0

Description Rolf Eike Beer 2011-11-28 18:14:58 UTC
Application: konqueror (4.7.3 (4.7.3) "release 2")
KDE Platform Version: 4.7.3 (4.7.3) "release 2"
Qt Version: 4.8.0
Operating System: Linux 3.1.0-1.2-desktop i686
Distribution: "openSUSE 12.1 (i586)"

-- Information about the crash:
Go to this website: http://www.strato-pro.de/root_server/dedicated_server/linux.html?sc=1900800204

Then change the operating system to "Windows".

The crash can be reproduced every time.

-- Backtrace:
Application: Konqueror (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0xb582e710 (LWP 7356))]

Thread 3 (Thread 0xb07f2b70 (LWP 7363)):
#0  0xb6d3c782 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb437b47b in WTF::TCMalloc_PageHeap::scavengerThread (this=0xb4a98340) at ../../../Source/JavaScriptCore/wtf/FastMalloc.cpp:2495
#2  0xb437b59f in WTF::TCMalloc_PageHeap::runScavengerThread (context=0xb4a98340) at ../../../Source/JavaScriptCore/wtf/FastMalloc.cpp:1618
#3  0xb6d38a7d in start_thread () from /lib/libpthread.so.0
#4  0xb60cb8fe in clone () from /lib/libc.so.6

Thread 2 (Thread 0xafecab70 (LWP 7364)):
#0  0xb60c09f4 in poll () from /lib/libc.so.6
#1  0xb5ab6f7b in g_poll () from /usr/lib/libglib-2.0.so.0
#2  0xb5aa8466 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb5aa87fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb6f01af7 in QEventDispatcherGlib::processEvents (this=0x83fb4f8, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0xb6ecd96d in QEventLoop::processEvents (this=0xafeca2d0, flags=...) at kernel/qeventloop.cpp:149
#6  0xb6ecdc09 in QEventLoop::exec (this=0xafeca2d0, flags=...) at kernel/qeventloop.cpp:204
#7  0xb6db8cbc in QThread::exec (this=0x840bc48) at thread/qthread.cpp:501
#8  0xb6db8dab in QThread::run (this=0x840bc48) at thread/qthread.cpp:568
#9  0xb6dbc1a0 in QThreadPrivate::start (arg=0x840bc48) at thread/qthread_unix.cpp:298
#10 0xb6d38a7d in start_thread () from /lib/libpthread.so.0
#11 0xb60cb8fe in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb582e710 (LWP 7356)):
[KCrash Handler]
#6  0xb401f19b in deleteOwnedPtr<WebCore::QNetworkReplyWrapper> (ptr=<optimized out>) at ../../../Source/JavaScriptCore/wtf/OwnPtrCommon.h:59
#7  operator= (o=<optimized out>, this=<optimized out>) at ../../../Source/JavaScriptCore/wtf/OwnPtr.h:136
#8  WebCore::QNetworkReplyHandler::finish (this=0x859e558) at ../../../Source/WebCore/platform/network/qt/QNetworkReplyHandler.cpp:474
#9  0xb401f03a in flush (this=0x859e578) at ../../../Source/WebCore/platform/network/qt/QNetworkReplyHandler.cpp:195
#10 WebCore::QNetworkReplyHandlerCallQueue::flush (this=0x859e578) at ../../../Source/WebCore/platform/network/qt/QNetworkReplyHandler.cpp:187
#11 0xb401f0a3 in WebCore::QNetworkReplyHandlerCallQueue::push (this=0x859e578, method=(void (WebCore::QNetworkReplyHandler::*)(WebCore::QNetworkReplyHandler * const)) 0xb401f0b0 <WebCore::QNetworkReplyHandler::finish()>) at ../../../Source/WebCore/platform/network/qt/QNetworkReplyHandler.cpp:164
#12 0xb401fb6f in WebCore::QNetworkReplyWrapper::didReceiveFinished (this=0x85de380) at ../../../Source/WebCore/platform/network/qt/QNetworkReplyHandler.cpp:349
#13 0xb402028d in WebCore::QNetworkReplyWrapper::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at ./moc_QNetworkReplyHandler.cpp:57
#14 0xb6ee564f in QMetaObject::activate (sender=0x8446230, m=0xb5eb9304, local_signal_index=1, argv=0x0) at kernel/qobject.cpp:3555
#15 0xb5e6b1f5 in QNetworkReply::finished (this=0x8446230) at .moc/release-shared/moc_qnetworkreply.cpp:166
#16 0xb54956d0 in KDEPrivate::AccessManagerReply::slotResult (this=0x8446230, kJob=0x866a240) at /usr/src/debug/kdelibs-4.7.80/kio/kio/accessmanagerreply_p.cpp:366
#17 0xb6ee564f in QMetaObject::activate (sender=0x866a240, m=0xb72fb4cc, local_signal_index=3, argv=0xbfb76528) at kernel/qobject.cpp:3555
#18 0xb714ce95 in KJob::result (this=0x866a240, _t1=0x866a240) at /usr/src/debug/kdelibs-4.7.80/build/kdecore/kjob.moc:208
#19 0xb714cee8 in KJob::emitResult (this=0x866a240) at /usr/src/debug/kdelibs-4.7.80/kdecore/jobs/kjob.cpp:312
#20 0xb54d36c8 in KIO::SimpleJob::slotFinished (this=0x866a240) at /usr/src/debug/kdelibs-4.7.80/kio/kio/job.cpp:494
#21 0xb54dc7ad in KIO::TransferJob::slotFinished (this=0x866a240) at /usr/src/debug/kdelibs-4.7.80/kio/kio/job.cpp:1081
#22 0xb54dad68 in qt_static_metacall (_a=0xbfb767a0, _id=7, _o=0x866a240, _c=<optimized out>) at /usr/src/debug/kdelibs-4.7.80/build/kio/jobclasses.moc:388
#23 KIO::TransferJob::qt_static_metacall (_o=0x866a240, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbfb767a0) at /usr/src/debug/kdelibs-4.7.80/build/kio/jobclasses.moc:375
#24 0xb6ee564f in QMetaObject::activate (sender=0x8649080, m=0xb56b6480, local_signal_index=4, argv=0x0) at kernel/qobject.cpp:3555
#25 0xb5591425 in KIO::SlaveInterface::finished (this=0x8649080) at /usr/src/debug/kdelibs-4.7.80/build/kio/slaveinterface.moc:185
#26 0xb5594541 in KIO::SlaveInterface::dispatch (this=0x8649080, _cmd=104, rawdata=...) at /usr/src/debug/kdelibs-4.7.80/kio/kio/slaveinterface.cpp:172
#27 0xb5590a9a in KIO::SlaveInterface::dispatch (this=0x8649080) at /usr/src/debug/kdelibs-4.7.80/kio/kio/slaveinterface.cpp:88
#28 0xb55820e8 in KIO::Slave::gotInput (this=0x8649080) at /usr/src/debug/kdelibs-4.7.80/kio/kio/slave.cpp:344
#29 0xb5582750 in KIO::Slave::qt_static_metacall (_o=0x8649080, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbfb76a60) at /usr/src/debug/kdelibs-4.7.80/build/kio/slave.moc:57
#30 0xb6ee564f in QMetaObject::activate (sender=0x85210e8, m=0xb56b3110, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3555
#31 0xb549e085 in KIO::Connection::readyRead (this=0x85210e8) at /usr/src/debug/kdelibs-4.7.80/build/kio/connection.moc:106
#32 0xb549e8fa in dequeue (this=<optimized out>) at /usr/src/debug/kdelibs-4.7.80/kio/kio/connection.cpp:82
#33 KIO::ConnectionPrivate::dequeue (this=0x8597d38) at /usr/src/debug/kdelibs-4.7.80/kio/kio/connection.cpp:71
#34 0xb6ee0b81 in QMetaCallEvent::placeMetaCall (this=0x866a6b0, object=0x85210e8) at kernel/qobject.cpp:524
#35 0xb6ee9cdb in QObject::event (this=0x85210e8, e=0x866a6b0) at kernel/qobject.cpp:1203
#36 0xb639e154 in notify_helper (e=0x866a6b0, receiver=0x85210e8, this=0x80da720) at kernel/qapplication.cpp:4518
#37 QApplicationPrivate::notify_helper (this=0x80da720, receiver=0x85210e8, e=0x866a6b0) at kernel/qapplication.cpp:4490
#38 0xb63a3563 in QApplication::notify (this=0x866a6b0, receiver=0x85210e8, e=0x866a6b0) at kernel/qapplication.cpp:4247
#39 0xb763e171 in KApplication::notify (this=0xbfb77394, receiver=0x85210e8, event=0x866a6b0) at /usr/src/debug/kdelibs-4.7.80/kdeui/kernel/kapplication.cpp:311
#40 0xb6ecedfe in QCoreApplication::notifyInternal (this=0xbfb77394, receiver=0x85210e8, event=0x866a6b0) at kernel/qcoreapplication.cpp:876
#41 0xb6ed2a78 in sendEvent (event=<optimized out>, receiver=<optimized out>) at kernel/qcoreapplication.h:231
#42 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x805b200) at kernel/qcoreapplication.cpp:1500
#43 0xb6ed2dac in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1393
#44 0xb6f016a4 in sendPostedEvents () at kernel/qcoreapplication.h:236
#45 postEventSourceDispatch (s=0x80f9980) at kernel/qeventdispatcher_glib.cpp:279
#46 0xb5aa7e2f in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#47 0xb5aa8560 in ?? () from /usr/lib/libglib-2.0.so.0
#48 0xb5aa87fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#49 0xb6f01a97 in QEventDispatcherGlib::processEvents (this=0x80da6e0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#50 0xb6451d6a in QGuiEventDispatcherGlib::processEvents (this=0x80da6e0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#51 0xb6ecd96d in QEventLoop::processEvents (this=0xbfb77254, flags=...) at kernel/qeventloop.cpp:149
#52 0xb6ecdc09 in QEventLoop::exec (this=0xbfb77254, flags=...) at kernel/qeventloop.cpp:204
#53 0xb6ed2e5a in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#54 0xb639bfc4 in QApplication::exec () at kernel/qapplication.cpp:3779
#55 0xb1deb587 in kdemain (argc=2, argv=0x80c6d20) at /usr/src/debug/kde-baseapps-4.7.80/konqueror/src/konqmain.cpp:227
#56 0x0804fc3f in launch (argc=2, _name=0x80a496c "konqueror", args=<optimized out>, cwd=0x0, envc=1, envs=<optimized out>, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x805249a "0") at /usr/src/debug/kdelibs-4.7.80/kinit/kinit.cpp:734
#57 0x08050cdc in handle_launcher_request (sock=<optimized out>, who=<optimized out>) at /usr/src/debug/kdelibs-4.7.80/kinit/kinit.cpp:1226
#58 0x080511ff in handle_requests (waitForPid=<optimized out>) at /usr/src/debug/kdelibs-4.7.80/kinit/kinit.cpp:1419
#59 0x0804c6f8 in main (argc=1141480, argv=0xb582e710, envp=0x1) at /usr/src/debug/kdelibs-4.7.80/kinit/kinit.cpp:1907

Reported using DrKonqi
Comment 1 Rolf Eike Beer 2011-11-28 18:17:06 UTC
Another backtrace using Qt 4.8, KDE master from last week, 64bit:

Thread 1 (Thread 0x7ff040ae0760 (LWP 4135)):
[KCrash Handler]
#6  0x00007ff033c68c2d in void WTF::deleteOwnedPtr<WebCore::QNetworkReplyWrapper>(WebCore::QNetworkReplyWrapper*) () from //opt/qt4/lib/libQtWebKit.so.4
#7  0x00007ff033c68648 in WTF::OwnPtr<WebCore::QNetworkReplyWrapper>::operator=(WTF::PassOwnPtr<WebCore::QNetworkReplyWrapper> const&) () from //opt/qt4/lib/libQtWebKit.so.4
#8  0x00007ff033c659f1 in WebCore::QNetworkReplyHandler::finish() () from //opt/qt4/lib/libQtWebKit.so.4
#9  0x00007ff033c63eae in WebCore::QNetworkReplyHandlerCallQueue::flush() () from //opt/qt4/lib/libQtWebKit.so.4
#10 0x00007ff033c63d91 in WebCore::QNetworkReplyHandlerCallQueue::push(void (WebCore::QNetworkReplyHandler::*)()) () from //opt/qt4/lib/libQtWebKit.so.4
#11 0x00007ff033c64e38 in WebCore::QNetworkReplyWrapper::didReceiveFinished() () from //opt/qt4/lib/libQtWebKit.so.4
#12 0x00007ff033c67df4 in WebCore::QNetworkReplyWrapper::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from //opt/qt4/lib/libQtWebKit.so.4
#13 0x00007ff03f28f955 in QMetaObject::activate (sender=0x3772a60, m=0x7ff03b94e300, local_signal_index=1, argv=0x0) at kernel/qobject.cpp:3547
#14 0x00007ff03b6dcda5 in QNetworkReply::finished (this=0x3772a60) at .moc/debug-shared/moc_qnetworkreply.cpp:166
#15 0x00007ff037d99460 in KDEPrivate::AccessManagerReply::slotResult (this=0x3772a60, kJob=0x916d20) at /encrypted/home/andris/development/sources/kde-trunk/kdelibs/kio/kio/accessmanagerreply_p.cpp:366
#16 0x00007ff037d99ac0 in KDEPrivate::AccessManagerReply::qt_static_metacall (_o=0x3772a60, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x7ffffc328f00) at /encrypted/home/andris/development/build/kde-trunk/kdelibs/kio/accessmanagerreply_p.moc:61
#17 0x00007ff03f28f955 in QMetaObject::activate (sender=0x916d20, m=0x7ff03fe1e420, local_signal_index=3, argv=0x7ffffc328f00) at kernel/qobject.cpp:3547
#18 0x00007ff03fa38c09 in KJob::result (this=0x916d20, _t1=0x916d20) at /encrypted/home/andris/development/build/kde-trunk/kdelibs/kdecore/kjob.moc:208
#19 0x00007ff03fa380cd in KJob::emitResult (this=0x916d20) at /encrypted/home/andris/development/sources/kde-trunk/kdelibs/kdecore/jobs/kjob.cpp:312
#20 0x00007ff037dd62c2 in KIO::SimpleJob::slotFinished (this=0x916d20) at /encrypted/home/andris/development/sources/kde-trunk/kdelibs/kio/kio/job.cpp:494
#21 0x00007ff037dd90ca in KIO::TransferJob::slotFinished (this=0x916d20) at /encrypted/home/andris/development/sources/kde-trunk/kdelibs/kio/kio/job.cpp:1081
#22 0x00007ff037de1171 in KIO::TransferJob::qt_static_metacall (_o=0x916d20, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0x7ffffc329340) at /encrypted/home/andris/development/build/kde-trunk/kdelibs/kio/jobclasses.moc:388
#23 0x00007ff03f28f955 in QMetaObject::activate (sender=0x17afba0, m=0x7ff038204420, local_signal_index=4, argv=0x0) at kernel/qobject.cpp:3547
#24 0x00007ff037e95df5 in KIO::SlaveInterface::finished (this=0x17afba0) at /encrypted/home/andris/development/build/kde-trunk/kdelibs/kio/slaveinterface.moc:185
#25 0x00007ff037e9339c in KIO::SlaveInterface::dispatch (this=0x17afba0, _cmd=104, rawdata=...) at /encrypted/home/andris/development/sources/kde-trunk/kdelibs/kio/kio/slaveinterface.cpp:172
#26 0x00007ff037e92fef in KIO::SlaveInterface::dispatch (this=0x17afba0) at /encrypted/home/andris/development/sources/kde-trunk/kdelibs/kio/kio/slaveinterface.cpp:88
#27 0x00007ff037e884fa in KIO::Slave::gotInput (this=0x17afba0) at /encrypted/home/andris/development/sources/kde-trunk/kdelibs/kio/kio/slave.cpp:344
#28 0x00007ff037e896c8 in KIO::Slave::qt_static_metacall (_o=0x17afba0, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x7ffffc329880) at /encrypted/home/andris/development/build/kde-trunk/kdelibs/kio/slave.moc:57
#29 0x00007ff03f28f955 in QMetaObject::activate (sender=0x3b66610, m=0x7ff0381fd700, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3547
#30 0x00007ff037da4925 in KIO::Connection::readyRead (this=0x3b66610) at /encrypted/home/andris/development/build/kde-trunk/kdelibs/kio/connection.moc:106
#31 0x00007ff037da13b0 in KIO::ConnectionPrivate::dequeue (this=0x42b9a70) at /encrypted/home/andris/development/sources/kde-trunk/kdelibs/kio/kio/connection.cpp:82
#32 0x00007ff037da47cd in KIO::Connection::qt_static_metacall (_o=0x3b66610, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x935200) at /encrypted/home/andris/development/build/kde-trunk/kdelibs/kio/connection.moc:56
#33 0x00007ff03f28914b in QMetaCallEvent::placeMetaCall (this=0x21f46b0, object=0x3b66610) at kernel/qobject.cpp:525
#34 0x00007ff03f28a3e6 in QObject::event (this=0x3b66610, e=0x21f46b0) at kernel/qobject.cpp:1195
#35 0x00007ff03e0a6044 in QApplicationPrivate::notify_helper (this=0x760eb0, receiver=0x3b66610, e=0x21f46b0) at kernel/qapplication.cpp:4550
#36 0x00007ff03e0a3668 in QApplication::notify (this=0x7ffffc32a880, receiver=0x3b66610, e=0x21f46b0) at kernel/qapplication.cpp:3932
#37 0x00007ff0404089b3 in KApplication::notify (this=0x7ffffc32a880, receiver=0x3b66610, event=0x21f46b0) at /encrypted/home/andris/development/sources/kde-trunk/kdelibs/kdeui/kernel/kapplication.cpp:311
#38 0x00007ff03f2711c5 in QCoreApplication::notifyInternal (this=0x7ffffc32a880, receiver=0x3b66610, event=0x21f46b0) at kernel/qcoreapplication.cpp:876
#39 0x00007ff03f274cd7 in QCoreApplication::sendEvent (receiver=0x3b66610, event=0x21f46b0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#40 0x00007ff03f2721e0 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x61aad0) at kernel/qcoreapplication.cpp:1500
#41 0x00007ff03f271e01 in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1393
#42 0x00007ff03f2ae4dd in QCoreApplication::sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#43 0x00007ff03f2ad497 in postEventSourceDispatch (s=0x7639d0) at kernel/qeventdispatcher_glib.cpp:279
#44 0x00007ff03961358d in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#45 0x00007ff039613d88 in ?? () from /usr/lib64/libglib-2.0.so.0
#46 0x00007ff039613f59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#47 0x00007ff03f2add85 in QEventDispatcherGlib::processEvents (this=0x61bec0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#48 0x00007ff03e17f46e in QGuiEventDispatcherGlib::processEvents (this=0x61bec0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#49 0x00007ff03f26ea2a in QEventLoop::processEvents (this=0x7ffffc32a6a0, flags=...) at kernel/qeventloop.cpp:149
#50 0x00007ff03f26ebb4 in QEventLoop::exec (this=0x7ffffc32a6a0, flags=...) at kernel/qeventloop.cpp:204
#51 0x00007ff03f271846 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#52 0x00007ff03e0a3252 in QApplication::exec () at kernel/qapplication.cpp:3811
#53 0x00007ff02bb715b2 in kdemain (argc=<optimized out>, argv=<optimized out>) at /encrypted/home/andris/development/sources/kde-trunk/kde-baseapps/konqueror/src/konqmain.cpp:227
#54 0x00000000004073b3 in launch (argc=4, _name=0x70b9c8 "konqueror", args=0x70ba12 "/encrypted/home/andris/Documents", cwd=0x70ba12 "/encrypted/home/andris/Documents", envc=92, envs=0x70c6b6 "", reset_env=true, tty=0x0, avoid_loops=false, startup_id_str=0x70c6be "stein;1322204238;391949;26262_TIME157634842") at /encrypted/home/andris/development/sources/kde-trunk/kdelibs/kinit/kinit.cpp:734
#55 0x00000000004084c1 in handle_launcher_request (sock=14, who=0x40db44 "wrapper") at /encrypted/home/andris/development/sources/kde-trunk/kdelibs/kinit/kinit.cpp:1226
#56 0x0000000000408d02 in handle_requests (waitForPid=0) at /encrypted/home/andris/development/sources/kde-trunk/kdelibs/kinit/kinit.cpp:1410
#57 0x000000000040a843 in main (argc=4, argv=0x7ffffc32bbb8, envp=0x7ffffc32bbe0) at /encrypted/home/andris/development/sources/kde-trunk/kdelibs/kinit/kinit.cpp:1907
Comment 2 Dawit Alemayehu 2011-12-08 19:26:24 UTC
This is caused by an upstream issue. Opened a ticket and provided a patch against QtWebKit there. See https://bugs.webkit.org/show_bug.cgi?id=74108.
Comment 3 Dawit Alemayehu 2011-12-20 14:44:47 UTC
(In reply to comment #2)
> This is caused by an upstream issue. Opened a ticket and provided a patch
> against QtWebKit there. See https://bugs.webkit.org/show_bug.cgi?id=74108.

Bug is not upstream even though the backtrace seems to indicate that way.
Comment 4 Dawit Alemayehu 2012-01-17 21:21:20 UTC
Git commit 462a06ea08d2ece143fe0daa59ceb8523ed0b763 by Dawit Alemayehu.
Committed on 17/01/2012 at 21:12.
Pushed by adawit into branch 'KDE/4.8'.

Avoid using a nested event loops for synchronous XMLHttpRequest by letting
Qt's networking code, which can block without a need for a local event loop,
deal with such requests.
Related: bug 231932
FIXED-IN: 4.8.0

M  +14   -12   kio/kio/accessmanager.cpp

http://commits.kde.org/kdelibs/462a06ea08d2ece143fe0daa59ceb8523ed0b763
Comment 5 Sebastian Trueg 2012-01-27 13:20:54 UTC
Git commit cbb00baee6fb8ff1af4f4b00786f3e2d132a3fbc by Sebastian Trueg, on behalf of Dawit Alemayehu.
Committed on 17/01/2012 at 21:12.
Pushed by trueg into branch 'KDE/4.8'.

Avoid using a nested event loops for synchronous XMLHttpRequest by letting
Qt's networking code, which can block without a need for a local event loop,
deal with such requests.
Related: bug 231932
FIXED-IN: 4.8.0

M  +14   -12   kio/kio/accessmanager.cpp

http://commits.kde.org/kdelibs/cbb00baee6fb8ff1af4f4b00786f3e2d132a3fbc
Comment 6 Dawit Alemayehu 2012-05-11 20:05:18 UTC
Git commit 2cf247f4ebdee44d0620e57f9cd17fa963b36b73 by Dawit Alemayehu.
Committed on 11/05/2012 at 19:35.
Pushed by adawit into branch 'KDE/4.8'.

Revert commit 462a06ea as it causes many regressions. Use KIO::synchronousRun
to fulfill synchrounous XmlHttpRequest instead.

Unofrtunately this means that the fix for the crash reported in bug# 287778
is reverted until we can find a solution for the side effects of using nested
event loops.
Related: bug 297954, bug 299590, bug 299710
FIXED-IN: 4.8.4

M  +63   -37   kio/kio/accessmanager.cpp
M  +1    -0    kio/kio/accessmanager.h
M  +126  -81   kio/kio/accessmanagerreply_p.cpp
M  +22   -8    kio/kio/accessmanagerreply_p.h

http://commits.kde.org/kdelibs/2cf247f4ebdee44d0620e57f9cd17fa963b36b73
Comment 7 Dawit Alemayehu 2012-06-07 00:58:49 UTC
@Rolf unfortunately the example site provided was changed and I can no longer reproduce the crash. Do you still want this bug to be kept open ?
Comment 8 Rolf Eike Beer 2012-06-08 17:42:07 UTC
I don't think it is of much value currently. I think the bug is still there, but we know we can't reproduce it for the moment.
Comment 9 Andrew Crouthamel 2018-09-23 02:34:04 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 15 days. Please provide the requested information as soon as possible and set the bug status as REPORTED. Due to regular bug tracker maintenance, if the bug is still in NEEDSINFO status with no change in 30 days, the bug will be closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please set the bug status as REPORTED so that the KDE team knows that the bug is ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 10 Andrew Crouthamel 2018-10-27 02:05:24 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 30 days. The bug is now closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!